<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Storage;
use App\Http\Controllers\captureImageController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/capture', [TesController::class, 'captureImage']);
Route::post('/store-image', function (Request $request) {
    try {
        // Validasi file
        $request->validate([
            'file' => 'required|image|max:2048', // Maksimal 2MB
        ]);

        // Menyimpan gambar ke storage
        $path = $request->file('file')->store('hikvision', 'public');

        return response()->json(['status' => 'success', 'image_path' => $path]);
    } catch (\Exception $e) {
        return response()->json(['status' => 'error', 'message' => $e->getMessage()], 500);
    }
});

Route::post('/save-image', [captureImageController::class,  "saveImage"]);

Route::get('/capture-image', [captureImageController::class, 'captureImage']);




// Route::get('/capture-image', function () {
//     $response = Http::get('http://localhost:5000/api/capture');

//     if ($response->successful()) {
//         return view('capture', ['image_path' => $response->json()['image_path']]);
//     } else {
//         return 'Gagal mengambil gambar dari kamera';
//     }
// });

